module Gummi
  module DbLayer
    module Fields
      class Time < Virtus::Attribute

        def coerce(value)
          return nil unless value.respond_to? :in_time_zone
          value.in_time_zone 'UTC'
        end

        def mapping
          {type: "date"}
        end
      end
    end
  end
end
