module Gummi
  module EntityLayer
    module Entity
      extend ActiveSupport::Concern

      included do
        include Repobahn::Entity
      end

      attr_accessor :id
      attr_accessor :version

      def ==(other)
        other &&
        self.id == other.id &&
        self.version == other.version &&
        self.attributes == other.attributes
      end

    end
  end
end
